# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SizeMember Class Reference

For immediate members of SizeSelect, i.e. :
ParameterValue (a Real)
.

`#include <StepBasic_SizeMember.hxx>`

Inheritance diagram for StepBasic_SizeMember:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_SizeMember ()
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Tells if a SelectMember has a name. Default is False .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns the name of a SelectMember. Default is empty .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Sets the name of a SelectMember, returns True if done, False if no name is allowed Default does nothing and returns False .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SizeMember::StepBasic_SizeMember | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SizeMember::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectReal.

virtual Standard_EXPORT Standard_Boolean StepBasic_SizeMember::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepBasic_SizeMember::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_Boolean StepBasic_SizeMember::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

The documentation for this class was generated from the following file:

- StepBasic_SizeMember.hxx